## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           deepin-system-monitor
Version:        6.0.3
Release:        %autorelease
Summary:        A more user-friendly system monitor
# migrated to SPDX
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-system-monitor
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         deepin-system-monitor-procps-ng-4.patch
Patch1:         deepin-system-monitor-c99.patch
Patch2:         https://github.com/linuxdeepin/deepin-system-monitor/commit/94c5e9d15fc5bffdff002e5a65068dc93041f6d9.patch
Patch3:         https://raw.githubusercontent.com/archlinux/svntogit-community/packages/deepin-system-monitor/trunk/a159e571.patch
Source1:        %{name}-appdata.xml

BuildRequires:  cmake
BuildRequires:  pkgconfig(dtkwidget) >= 2.0
BuildRequires:  pkgconfig(dtkwm) >= 2.0
BuildRequires:  pkgconfig(libproc2)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(KF5WaylandClient)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  qt5-linguist
BuildRequires:  libpcap-devel
BuildRequires:  libcap-devel
BuildRequires:  ncurses-devel
BuildRequires:  libicu-devel
BuildRequires:  deepin-dock-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  deepin-gettext-tools
BuildRequires:  libnl3-devel
BuildRequires:  systemd-devel
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel
Requires:       hicolor-icon-theme
Requires:       deepin-qt5integration%{?_isa}
Recommends:     deepin-manual

%description
%{summary}.

%prep
%autosetup -p1
sed -i 's:/usr/lib/x86_64-linux-gnu/qt5/bin/:%{_qt5_bindir}/:' \
    deepin-system-monitor-daemon/translations/translate_generation.sh \
    deepin-system-monitor-plugin/translations/translate_generation.sh

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DUSE_DEEPIN_WAYLAND=OFF
%cmake_build

%install
%cmake_install
install -Dm644 %SOURCE1 %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
mv %{buildroot}%{_prefix}%{_sysconfdir} %{buildroot}%{_sysconfdir}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/xdg/autostart/%{name}-daemon.desktop
# caps sync with debian/postinst
%caps(cap_net_raw,cap_dac_read_search,cap_sys_ptrace+ep) %{_bindir}/%{name}
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-plugin-popup
%{_prefix}/lib/dde-dock/plugins/lib%{name}-plugin.so
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/%{name}/
%{_datadir}/%{name}-daemon/
%{_datadir}/%{name}-plugin-popup/
%{_datadir}/%{name}-plugin/
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/polkit-1/actions/com.deepin.*.policy
%{_datadir}/deepin-manual/

%changelog
* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 6.0.3-1
- New release 6.0.3

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 František Zatloukal <fzatlouk@redhat.com> - 5.9.17-5
- Rebuilt for ICU 73.2

* Sun Apr 16 2023 Florian Weimer <fweimer@redhat.com> - 5.9.17-4
- C99 compatibility fix

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 31 2022 Pete Walter <pwalter@fedoraproject.org> - 5.9.17-2
- Rebuild for ICU 72

* Mon Aug 22 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.9.17-1
- New release 5.9.17

* Mon Aug 01 2022 František Zatloukal <fzatlouk@redhat.com> - 5.8.14-4
- Rebuilt for ICU 71.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.8.14-1
- New release 5.8.14

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.8-1
- New release 5.8.8

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Pete Walter <pwalter@fedoraproject.org> - 5.8.0.4-2
- Rebuild for ICU 69

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.0.4-1
- chore: 添加性能打点处理 (maojunjie)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.8.0.1-1
- new upstream release: 5.8.0.1

* Wed Sep  2 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-5
- Rebuild for libprocps

* Thu Aug  6 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-4
- Applied a patch to fix build with Qt 5.14

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-1
- Release 5.0.0

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 1.4.8.1-1
- Update to 1.4.8.1

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 1.4.8-1
- Update to 1.4.8

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 1.4.7-1
- Update to 1.4.7

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 1.4.6-1
- Update to 1.4.6

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 1.4.5-1
- Update to 1.4.5

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.7-4
- Rebuild for procps-ng-3.3.15

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.7-2
- Remove obsolete scriptlets

* Mon Nov 27 2017 mosquito <sensor.wen@gmail.com> - 1.3.7-1
- Update to 1.3.7

* Mon Oct 23 2017 mosquito <sensor.wen@gmail.com> - 1.3.5-1
- Update to 1.3.5

* Tue Oct 17 2017 mosquito <sensor.wen@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Sun Aug 20 2017 mosquito <sensor.wen@gmail.com> - 1.3-1
- Update to 1.3

* Tue Aug  1 2017 mosquito <sensor.wen@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 15 2017 mosquito <sensor.wen@gmail.com> - 0.0.4-1.gita73357d
- Initial build

